<%#
    const tables = $b.tables;
%>

# 数据库文档

## <a name="__HOME" href="#__HOME">目录</a>
<%#
let i = 0;
for (const t of tables) {
    i++;
    const tname = t.TABLE_NAME;
    const tcomment = t.TABLE_COMMENT;
%>
<%= i %>. <a href="#<%= tname %>"><%= tname %></a> <%= tcomment %>
<%# } %>


<%#
let idx = 0;
for (const t of tables) {
    idx++;
    const tname = t.TABLE_NAME;
    const tcomment = t.TABLE_COMMENT;
%>

## <a href="#__HOME">[<%= idx %>]</a> <a name="<%= tname %>" href="#<%= tname %>"><%= tname %></a> <%= tcomment %>
 编号 | 名称 | 类型 | 键 | 可空 | 备注
:--:|:--:|:--:|:--:|:--:|--
<%#
let i = 0;
for (const c of t.COLUMNS) {
    i++
    const cname = c.COLUMN_NAME;
    const ctype = c.COLUMN_TYPE;
    const ckey = c.COLUMN_KEY;
    const cnull = c.IS_NULLABLE === 'YES' ? 'Y' : '';
    const anchor = tname + '.' + cname;
    const ccomment = c.COLUMN_COMMENT.replace(/\#\w+\.\w+/g, function(k, _){ return `**<a href="${k}">${k}</a>**` });
    const cnote = ccomment + (c.EXTRA ? (' `[' + c.EXTRA + ']`') : '');

%>
<%= i %> | <a name="<%= anchor %>"><%= cname %></a> | <%= ctype %> | <%= ckey %> | <%= cnull %> | <%= cnote %> 
<%# } %>

<%# } %>

<% for (let i=0; i<50; i++) { %><br><% } %>

<style>
th:nth-child(1) {width: 8%;}
th:nth-child(2) {width: 20%;}
th:nth-child(3) {width: 10%;}
th:nth-child(4) {width: 8%;}
th:nth-child(5) {width: 8%;}
</style>