/*<%#
    const tables = $b.tables;
%>*/

'use strict';

const { Access } = require('koa-rtapi');

module.exports = class ApiAccess {

    constructor(ctx) {
        this._client = ctx.env.mysql['db1'];
        this._client._ctx = ctx;
    }

    // <%# for (const t of tables) { %>
    
    /** <%= t.TABLE_COMMENT || t.TABLE_NAME %> */
    get '<%= t.TABLE_NAME %>'() {
        return new Access(this._client, {
            sheetName: '<%= t.TABLE_NAME %>',
            primaryKey: '<%= t.COLUMNS[0].COLUMN_NAME %>',
            outerExpress: {
                /*<%#
                for (const c of t.COLUMNS) {
                    const cname = c.COLUMN_NAME;
                    const cmatch = (c.COLUMN_COMMENT || '').match(/\#\w+\.\w+/g);
                    if (!cmatch || cmatch.length != 1) { continue; }
                %>*/
                '<%= cname%>': '<%= cmatch[0] %>',
                // <%# } %>
            }
        });
    }

    // <%# } %>
};