﻿/*<%#
    const table = $b.table;
    const name = table.TABLE_NAME;
    const columns = table.COLUMNS;
%>*/

// <%= name %> <%=  table.TABLE_COMMENT %>
xf.module({

    name: 'v-<%= name %>-edit',

    using: [
        xf.builder('tkui'),
        xf.builder('tkui.form')
    ],

    view: function (context, tkui, form) {

        // 初始化
        var ui = new tkui(context, {
            host: '@<%= name %>-grid',
            title: '<%= table.TABLE_COMMENT || name %>',
            controller: '<%= name %>',
            initModules: [form]
        });

        // 主体部分
        var body = ui.vue('tk-body', form.body, {

            static: {
                checker: {
                    // <%# for (const c of columns) { %>
                    // <%# const cname = c.COLUMN_NAME; %>
                    // <%# const cnick = (c.COLUMN_COMMENT || cname).split(' ')[0]; %>
                    // <%# if (c.COLUMN_KEY === 'PRI') { continue; } %>
                    // <%# if (c.IS_NULLABLE === 'YES') {%>
                    '<%= cname %>': { rgx: /.*/, msg: '(<%= cnick %>输入有误' },
                    // <%# } else { %>
                    '<%= cname %>': { rgx: /.+/, msg: '<%= cnick %>不能为空' },
                    // <%# } %>
                    // <%# } %>
                }
            },

            data: {
                datalist1: 'datalist-' + xf.newID('datalist'),
                groupNames: [],
                row: {
                    // <%# for (const c of columns) { %>
                    '<%= c.COLUMN_NAME %>': '',     // <%= c.COLUMN_COMMENT || c.COLUMN_NAME %>
                    // <%# } %>
                },
                row_exp: {
                    // <%# for (const c of columns) { %>
                    // <%# const outer = (c.COLUMN_COMMENT || '').match(/\#(\w+\.\w+\:\w+)/g); %>
                    // <%# if (!outer) { continue; } %>
                    '<%= c.COLUMN_NAME %>': '-- 请选择 --',
                    // <%# } %>
                }
            },

            watch: {
                // <%# for (const c of columns) { %>
                // <%# const outer = (c.COLUMN_COMMENT || '').match(/\#(\w+\.\w+\:\w+)/g); %>
                // <%# if (!outer) { continue; } %>
                'row.<%= c.COLUMN_NAME %>': function (v) {
                    this.Modal.setOuterExp('<%= outer %>', v, this.row_exp, '<%= c.COLUMN_NAME %>');
                },
                // <%# } %>
            },

            methods: {
            }
        });

        // 开始运行
        ui.ready(function (para) {
            var view = context.view;
            var mode = body.mode = para.mode;

            // 载入主要数据
            if (mode === 1) {
                view.title += ' [添加]';
            } else if (mode === 2) {
                view.title += ' [修改-' + para.id + ']';
                body.load(para.id);
            }
        });
    }
});