﻿
/*!
 * eXtend function * by qq330933397 2018-3-10
 */

!function () {

    "use strict";

    var S = {
        format: /\{(\d+)\}/g,
        fill: /\{\{(.+?)\}\}/g,
        fn: 'data-fn',
        child: 'data-format',
        view: '__xjs_view',
        selector: !!document.querySelector,
        listener: !!document.addEventListener,
        map: function (d, k, e) {
            switch (k.charAt(0)) {
                case ':':
                case '=': return new Function('return ' + k.substr(1)).call(d, d);
                case '#':
                    e = e[k.substr(1)];
                    return typeof e === 'function' ? e(d) : e || k;
            }
            return d[k] !== null ? d[k] : '';
        }
    };

    var X = window.xf = function (o) {
        var a = arguments,
            i = 0, n, k, v;

        if (typeof o === 'string') {
            k = o.split('.');
            v = window;
            while (n = k[i++]) { v = v[n] = v[n] || {}; }
            return new Function('p', 'window.' + o + '=p')(a[1]);
        }

        while (n = a[++i]) {
            switch (typeof n) {
                case 'function': n.call(o, o); continue;
                case 'object': for (k in n) { o[k] = n[k]; } continue;
            }
        }

        return o;
    };

    // tools
    X(X, {
        setting: S,

        config: {},

        toArr: function (arg) {
            return Array.prototype.slice.call(arg);
        },

        format: function (str) {
            var a = arguments;
            return str.replace(S.format, function (_, i) { return a[i * 1 + 1]; });
        },

        fill: function (str, dat, exp) {
            return str.replace(S.fill, function (_, k) { return S.map(dat, k, exp); });
        },

        newID: function (key) {
            if (key === true) { return new Date() * 1; }
            key = key || '_';
            return X.newID[key] = (X.newID[key] || 0) + 1;
        },

        file: function (url) {
            url = !url ? location.pathname : url.split(/[\#\?]/)[0];
            return url.slice(url.lastIndexOf('/') + 1);
        },

        query: function (key, url, _) {
            url = !url ? location.search : url.substr(url.indexOf('?'));
            _ = url.match(new RegExp('[\?\&]' + key + '=([^\&\#]*)', 'i'));
            return _ ? decodeURIComponent(_[1]) : '';
        },

        cookie: function (key, val, day) {

            if (val === undefined) {
                val = document.cookie.match(new RegExp('(^| )' + key + '=([^;]*)(;|$)', 'i'));
                return val ? decodeURIComponent(val[2]) : undefined;
            }

            if (val === null) { day = -1; }
            if (typeof day === 'number') { day = new Date(X.newID(true) + day * 86400000); }

            day = day ? ';expires=' + day.toGMTString() : '';
            document.cookie = X.format('{0}={1}{2};path=/', key, encodeURIComponent(val), day);
        },

        date: function (val, para, exp) {
            var d = val, m, f, s;

            switch (typeof val) {
                case 'string': d = new Date(val.replace(/\-/g, '/')); break;
                case 'number': d = new Date(val); break;
                case 'undefined':
                case 'boolean': d = new Date(); break;
            }

            if (!para) { return d; }

            m = {
                yyyy: d.getFullYear(),
                M: d.getMonth() + 1,
                d: d.getDate(),
                H: d.getHours(),
                m: d.getMinutes(),
                s: d.getSeconds(),
                w: d.getDay()
            };

            f = function (k) {
                return (m[k] > 9 ? '' : '0') + m[k];
            };

            m.yy = m.yyyy.toString().substring(2);
            m.MM = f('M');
            m.dd = f('d');
            m.HH = f('H');
            m.mm = f('m');
            m.ss = f('s');
            m.h = m.H % 12;
            m.hh = f('h');
            m.A = m.H < 12 ? 1 : 0; // AM:1,PM:0

            if (para === true) { return m; }
            s = para.replace(/[yMdwAHhms]+/g, function (k) { return m[k] !== undefined ? m[k] : k; });
            return exp ? X.fill(s, m, exp) : s;
        },

        fillList: function (str, arr, exp) {
            var a = [], i = 0, n;
            while (n = arr[i]) {
                n.__i = i;
                a[i++] = X.fill(str, n, exp);
            }
            return a.join('');
        },

        data: function (o, all) {

            var d = 0;
            var f = function (o) {

                if (o === null || d > 5) { return null; }
                d++;

                var fn = function (k, v) {
                    if (!all && /^(\$|\_)/.test(k)) { return; }
                    if (v instanceof Element || v instanceof Function) { all && (r[k] = v); }
                    else if (v instanceof Array || v instanceof Object) { r[k] = f(v); }
                    else { r[k] = v; }
                }, r, k;

                if (o instanceof Array) {
                    r = [];
                    for (k = 0; k < o.length; k++) { fn(k, o[k]); }
                } else {
                    r = {};
                    for (k in o) { fn(k, o[k]); }
                }

                d--;
                return r;
            };

            return f(o);
        },

        addStyle: function (str, name) {
            var el = document.createElement('style');
            el.innerHTML = str;
            el.setAttribute('data-name', name);
            document.head.appendChild(el);
        }
    });

    return X;
}();

JSON.copy = function (obj) {
    var a = JSON.stringify(obj);
    var b = JSON.parse(a);
    return b;
};
